Subject: Re: perl 5.8.6
From: Yitzchak Scott-Thoennes <[email-masked]>
To: "Gerrit P. Haase" <[email-masked]>
Cc: [email-masked]
Date: Wed, 8 Dec 2004 11:30:53 -0800

On Fri, Dec 03, 2004 at 12:30:23PM +0100, "Gerrit P. Haase" <[email-masked]> wrote:
> Yitzchak Scott-Thoennes wrote:
> 
> >On Thu, Dec 02, 2004 at 03:45:08PM +0100, "Gerrit P. Haase" 
> ><[email-masked]> wrote:
> >
> >>Reini Urban wrote:
> >>
> >>
> >>>No need to hurry, Gerrit :)
> >>>http://search.cpan.org/~nwclark/perl-5.8.6/pod/perl586delta.pod
> >>>This arrived yesterday.
> >>>
> >>>Just wanted to know a rough timeframe and what you plan to do with the 
> >>>DLL name, so that I can coordinate libwin32 and the Win32::GUI upgrades.
> >>>I want to seperate Win32::GUI from libwin32, and I want to contact 
> >>>Rafael.
> >>
> >>I want to change the name to cygperl_5_8.dll.  Timeframe: depends on the
> >>results of the testsuite, if all or most tests are passnig then I think
> >>it can be uploaded the next days.
> >
> >
> >Be better to use 3 numbers still but use PERL_API_{REVI,VER,SUBVER}SION
> >instead of  PERL_{REVI,VER,SUBVER}SION.  (See patchlevel.h.)  Unless 
> >there's
> >a length problem, maybe also append archname ("cygwin-thread-multi-64int").
> 
> It should work for internal version checks and where else it is used as
> is, however the DLL naming for perl is hardcoded in the wrapper perlld.
> So actually it is only the DLL name that changes to enable the use of
> older extensions without recompiling easily.

I have to admit that I completely failed to understand the above, but I've
been sick and don't have a completely clear head at the moment.

Gerrit, I've hoped to have some time to work on Win32:: stuff on the
perl side, but haven't gotten around to it.  For 5.8.6, could you give
a try to including the Win32CORE module from the perl-libwin32 package
as a static extension and the Win32 module as a dynamic extension (and
bootstrap Win32CORE in cygwin.c)?  If it works, that would make cygwin
have equivalent to what's in win32 perl.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/